/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var ImagePool= dojo.provide("com.ibm.team.workitem.web.ui.internal.view.common.ImagePool");

ImagePool._BASE= "ui/internal/view/common/images/";
ImagePool._getImageUri= function(imgName) {
	 	return dojo.moduleUrl("com.ibm.team.workitem.web", ImagePool._BASE + imgName);
	};
	
ImagePool.WELCOME= ImagePool._getImageUri("welcome.gif");
	
ImagePool.PIXEL= ImagePool._getImageUri("pixel.gif");
ImagePool.SECTION_TWISTIE_OPEN= ImagePool._getImageUri("q-ed_section-twistie-open.gif");
ImagePool.SECTION_TWISTIE_CLOSED= ImagePool._getImageUri("q-ed_section-twistie-closed.gif");

ImagePool.SORT_DOWN= ImagePool._getImageUri("th-down-arrow.gif");
ImagePool.SORT_UP= ImagePool._getImageUri("th-up-arrow.gif");

ImagePool.ERROR= ImagePool._getImageUri("error.gif");
ImagePool.WARNING= ImagePool._getImageUri("warning.gif");

ImagePool.TITLE_TWISTIE_OPEN= ImagePool._getImageUri("q-ed_title-twistie-open.gif");
ImagePool.TITLE_TWISTIE_CLOSED= ImagePool._getImageUri("q-ed_title-twistie-closed.gif");

ImagePool.CALENDAR= ImagePool._getImageUri("calendar.gif");
ImagePool.WORKITEM_QUERY= ImagePool._getImageUri("query_workitem.gif");

ImagePool.EDIT= ImagePool._getImageUri("edit.gif");
ImagePool.EDIT_DISABLED= ImagePool._getImageUri("edit_disabled.gif");

ImagePool.REMOVE= ImagePool._getImageUri("remove.gif");
ImagePool.REMOVE_HOVER= ImagePool._getImageUri("remove-hov.gif");
ImagePool.RESTORE= ImagePool._getImageUri("restore.gif");
ImagePool.RESTORE_HOVER= ImagePool._getImageUri("restore-hov.gif");


ImagePool.SMALLWARNING= ImagePool._getImageUri("smallwarning.gif"); /* used in overview */
ImagePool.POPUP_DOWN_ARROW= ImagePool._getImageUri("popup-down-arrow.gif"); /* used in WorkItemEditorBanner */

ImagePool.LIST_ARROW= ImagePool._getImageUri("list-arrow.gif"); /* used in overview */
	
})();