/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2006. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.team.scm.web.ui.internal.view.common.Loading");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojo.i18n");
dojo.require("dojox.data.dom");

dojo.requireLocalization("com.ibm.team.scm.web.internal", "Messages");

(function() { // module container

dojo.declare(
	"com.ibm.team.scm.web.ui.internal.view.common.Loading",
	[dijit._Widget, dijit._Templated],
	{
		templatePath: dojo.moduleUrl("com.ibm.team.scm.web", "ui/internal/view/common/templates/Loading.html"),
		//templateCssPath: dojo.uri.dojoUri("../com.ibm.team.scm.web/ui/internal/view/common/templates/Loading.css"),
		
		constructor: function() {
			this.messages = dojo.i18n.getLocalization("com.ibm.team.scm.web.internal", "Messages");			
		},
		
		fillInTemplate: function() {

		}
		
	}
);

})();